%{!?scl:%global scl mysql51}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 9%{?dist}
License: GPLv2+
Group: Applications/File
Requires: scl-utils
Requires: %{scl_prefix}mysql-server
BuildRequires: scl-utils-build
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is the main package for %scl Software Collection, which installs
necessary packages to use MySQL 5.1 server. Version 5.1 is needed to upgrade
to MySQL 5.5 server but you should not use it in production environment.
Software Collections allow to install more versions of the same package
by using alternative directory structure.
Install this package if you want to migrate to MySQL 5.5 server on your system.

%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils
Requires(post): policycoreutils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Group: Applications/File

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root

# During the build of this package, we don't know which architecture it is 
# going to be used on, so if we build on 64-bit system and use it on 32-bit, 
# the %{_libdir} would stay expanded to '.../lib64'. This way we determine 
# architecture everytime the 'scl enable ...' is run and set the 
# LD_LIBRARY_PATH accordingly
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LIBRARY_PATH=%{_libdir}\${LIBRARY_PATH:+:\${LIBRARY_PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
EOF

cat >> %{buildroot}%{_scl_scripts}/service-environment << EOF
# Services are started in a fresh environment without any influence of user's
# environment (like environment variable values). As a consequence,
# information of all enabled collections will be lost during service start up.
# If user needs to run a service under any software collection enabled, this
# collection has to be written into MYSQL51_MYSQLD_SCLS_ENABLED variable in
# /opt/rh/sclname/service-environment.
MYSQL51_MYSQLD_SCLS_ENABLED="%{scl}"
EOF

%scl_install

%post runtime
# We don't have semanage -e feature in RHEL-5, so we create right context manually
semanage fcontext -a -t mysqld_etc_t "%{_sysconfdir}/my.cnf" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_etc_t "%{_sysconfdir}/mysql(/.*)?" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_exec_t "%{_bindir}/mysqld_safe" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_exec_t "%{_libexecdir}/mysqld" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_db_t "%{?_scl_root}/var/lib/mysql(/.*)?" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_log_t "/var/log/%{?scl_prefix}mysqld.log" >/dev/null 2>&1 || :
semanage fcontext -a -t mysqld_var_run_t "%{?_scl_root}/var/run/mysqld(/.*)?" >/dev/null 2>&1 || :
restorecon -R %{?_scl_root} >/dev/null 2>&1 || :
restorecon /etc/rc.d/init.d/%{scl_prefix}mysqld >/dev/null 2>&1 || :

%files

%files runtime
%scl_files
%config(noreplace) %{_scl_scripts}/service-environment

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Thu May 23 2013 Honza Horak <hhorak@redhat.com> 1-9
- Fix MANPATH definition, colon in the end is correct (it means default)
  Resolves: #966404

* Fri May  3 2013 Honza Horak <hhorak@redhat.com> 1-8
- Add context for mysqld_safe

* Thu May  2 2013 Honza Horak <hhorak@redhat.com> 1-6
- Add better descriptions for packages
- Create SELinux context rules

* Mon Apr 29 2013 Honza Horak <hhorak@redhat.com> 1-5
- release bump

* Fri Apr 26 2013 Honza Horak <hhorak@redhat.com> 1-4
- fix escaping in PATH variable definition

* Mon Apr  8 2013 Honza Horak <hhorak@redhat.com> 1-3
- Fix Environment variables definition
- Build separately on all arches
- Require mysql-server from the collection as main package
  since we focus only on the server part

* Fri Apr  5 2013 Honza Horak <hhorak@redhat.com> 1-2
- Remove policycoreutils dependency

* Thu Apr  4 2013 Honza Horak <hhorak@redhat.com> 1-1
- initial packaging

